# Resource

Using the endpoint below, you can retrieve all the resources that have been created in a particular team.

## Get resources

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/admin/api/teams/{id}/resources`

Get all resources for a specific team.

#### Query Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| page<mark style="color:red;">\*</mark>  | String | 1           |
| limit<mark style="color:red;">\*</mark> | String | 10          |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "docs": [
        {
            "_id": "6549ebb3fb723c0a85a5244a",
            "region": {
                "datacenter": {
                    "name": "berlin",
                    "displayName": "Berlin"
                },
                "physicalLocation": "Germany"
            },
            "image": {
                "version": {
                    "name": "20_04-lts",
                    "displayName": "20.04 LTS"
                },
                "distribution": "Ubuntu"
            },
            "attestationId": "6392ea3c-5650-4b0c-a1dc-0214780f3955",
            "access": null,
            "authMethod": 1,
            "status": 7,
            "isBlocked": false,
            "tags": [],
            "subscription": null,
            "name": "kraud-cloud-ubuntu-1vcpu-4gb-berlin-01",
            "provider": {
                "_id": "6548a383e2442d14b6bf968b",
                "type": "vm",
                "isDisabled": false,
                "cloudProvider": {
                    "_id": "6548a383e2442d14b6bf9685",
                    "name": "Kraud.Cloud",
                    "isDisabled": false
                }
            },
            "size": {
                "_id": "6548a383e2442d14b6bf9745",
                "provider": "6548a383e2442d14b6bf968b",
                "location": "berlin",
                "name": "Standart_berlin_1_4_50",
                "vCPUs": 1,
                "memoryGB": 4,
                "spaceGB": 50,
                "group": 0
            },
            "price": {
                "_id": "6548a383e2442d14b6bf970b",
                "provider": "6548a383e2442d14b6bf968b",
                "locationName": "berlin",
                "sizeName": "Standart_berlin_1_4_50",
                "imageName": "Ubuntu",
                "pricePerHour": 0.04,
                "pricePerMonth": 30,
                "currencyCode": "EUR",
                "createdAt": "2023-11-06T08:27:47.134Z",
                "updatedAt": "2023-11-06T08:27:47.134Z"
            },
            "owner": {
                "_id": "6548a41138406c14db33b606",
                "name": "John Doe",
                "email": "john.doe@mail.com"
            },
            "project": "6548a41f38406c14db33b62c",
            "team": "6548a41f38406c14db33b61e",
            "ipConfigurations": [],
            "createdAt": "2023-11-07T07:48:03.587Z",
            "updatedAt": "2023-11-07T08:59:30.230Z",
            "deletedAt": "2023-11-07T08:59:27.195Z",
            "type": "vm"
        }
    ],
    "totalDocs": 10,
    "limit": 1,
    "page": 1,
    "totalPages": 10,
    "pagingCounter": 1,
    "hasPrevPage": false,
    "hasNextPage": true,
    "prevPage": null,
    "nextPage": 2
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/admin-admin-api/accounts/team/resource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
